Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.util
Class SectionUpdateRequestCollapser

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.RequestCollapser
          org.eclipse.gmf.runtime.diagram.ui.properties.util.SectionUpdateRequestCollapser

    public class SectionUpdateRequestCollapser

extends RequestCollapser

The receiver will collapse all requests into one and invoke it by the user-interface thread at the next reasonable opportunity. Each thread which calls this collapser is suspended until the runnable completes.

Constructor Summary
`SectionUpdateRequestCollapser()`

Method Summary
`protected void` `executeRequest(java.lang.Runnable request)` executes the runnable request
`protected java.lang.Runnable` `getRequest()` returns the most recently posted request and nullifies it afterwards so it doesn't return it again if invoked again immedialtely
`void` `postRequest(java.lang.Object requester, java.lang.Runnable request)`
`void` `postRequest(java.lang.Runnable runnable)` posts the request from the client to run in the thread at the next possible chance.
`void` `start()` Start this automation object by starting the thread.
`void` `stop()` stops this automaton pbject by interrupting the thread

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SectionUpdateRequestCollapser

    public SectionUpdateRequestCollapser()

Method Detail

### executeRequest

    protected void executeRequest(java.lang.Runnable request)

  Description copied from class: `RequestCollapser`
  executes the runnable request

  Overrides:
    `executeRequest` in class `RequestCollapser`
  Parameters:
    `request` - The request Runnable to execute

### postRequest

    public void postRequest(java.lang.Runnable runnable)

  posts the request from the client to run in the thread at the next possible chance. The posted request will overwrite any previous one

  Overrides:
    `postRequest` in class `RequestCollapser`
  Parameters:
    `runnable` - the Runnable request to run

### postRequest

    public void postRequest(java.lang.Object requester,
                            java.lang.Runnable request)

  Parameters:
    `requester` -
    `request` -

### getRequest

    protected java.lang.Runnable getRequest()

  Description copied from class: `RequestCollapser`
  returns the most recently posted request and nullifies it afterwards so it doesn't return it again if invoked again immedialtely

  Overrides:
    `getRequest` in class `RequestCollapser`
  Returns:
    Runnable The request or null if none has been posted

### start

    public void start()

  Description copied from class: `RequestCollapser`
  Start this automation object by starting the thread.

  Overrides:
    `start` in class `RequestCollapser`

### stop

    public void stop()

  stops this automaton pbject by interrupting the thread

  Overrides:
    `stop` in class `RequestCollapser`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.